libnm-util Reference Manual: NMSettingPPPOE

## NMSettingPPPOE NMSettingPPPOE — Describes PPPoE connection properties |

## Functions

GQuark | nm_setting_pppoe_error_quark ()
NMSetting * | nm_setting_pppoe_new ()
const char * | nm_setting_pppoe_get_service ()
const char * | nm_setting_pppoe_get_username ()
const char * | nm_setting_pppoe_get_password ()
NMSettingSecretFlags | nm_setting_pppoe_get_password_flags ()

## Properties

gchar * | password | Read / Write
guint | password-flags | Read / Write
gchar * | service | Read / Write
gchar * | username | Read / Write

## Types and Values

#define | NM_SETTING_PPPOE_SETTING_NAME
enum | NMSettingPPPOEError
#define | NM_SETTING_PPPOE_ERROR
#define | NM_SETTING_PPPOE_SERVICE
#define | NM_SETTING_PPPOE_USERNAME
#define | NM_SETTING_PPPOE_PASSWORD
#define | NM_SETTING_PPPOE_PASSWORD_FLAGS

## Object Hierarchy

        GEnum
        ╰── NMSettingPPPOEError
        GObject
        ╰── NMSetting
            ╰── NMSettingPPPOE

## Includes

    #include <nm-setting-pppoe.h>

## Description

The NMSettingPPPOE object is a NMSetting subclass that describes properties necessary for connection to networks that require PPPoE connections to provide IP transport, for example cable or DSL modems.

## Functions

### nm_setting_pppoe_error_quark ()

    GQuark
    nm_setting_pppoe_error_quark (void);

Registers an error quark for NMSettingPPPOE if necessary.

#### Returns

the error quark used for NMSettingPPPOE errors.

### nm_setting_pppoe_new ()

    NMSetting *
    nm_setting_pppoe_new (void);

Creates a new NMSettingPPPOE object with default values.

#### Returns

the new empty NMSettingPPPOE object.

[transfer full]

### nm_setting_pppoe_get_service ()

    const char *
    nm_setting_pppoe_get_service (NMSettingPPPOE *setting);

#### Parameters

setting | the NMSettingPPPOE |

#### Returns

the “service” property of the setting

### nm_setting_pppoe_get_username ()

    const char *
    nm_setting_pppoe_get_username (NMSettingPPPOE *setting);

#### Parameters

setting | the NMSettingPPPOE |

#### Returns

the “username” property of the setting

### nm_setting_pppoe_get_password ()

    const char *
    nm_setting_pppoe_get_password (NMSettingPPPOE *setting);

#### Parameters

setting | the NMSettingPPPOE |

#### Returns

the “password” property of the setting

### nm_setting_pppoe_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_pppoe_get_password_flags (NMSettingPPPOE *setting);

#### Parameters

setting | the NMSettingPPPOE |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

## Types and Values

### NM_SETTING_PPPOE_SETTING_NAME

    #define NM_SETTING_PPPOE_SETTING_NAME "pppoe"

### enum NMSettingPPPOEError

#### Members

NM_SETTING_PPPOE_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_PPPOE_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_PPPOE_ERROR_MISSING_PROPERTY | the property was missing and is required |
NM_SETTING_PPPOE_ERROR_MISSING_PPP_SETTING | the connection did not contain a required PPP setting for PPP related options |

### NM_SETTING_PPPOE_ERROR

    #define NM_SETTING_PPPOE_ERROR nm_setting_pppoe_error_quark ()

### NM_SETTING_PPPOE_SERVICE

    #define NM_SETTING_PPPOE_SERVICE        "service"

### NM_SETTING_PPPOE_USERNAME

    #define NM_SETTING_PPPOE_USERNAME       "username"

### NM_SETTING_PPPOE_PASSWORD

    #define NM_SETTING_PPPOE_PASSWORD       "password"

### NM_SETTING_PPPOE_PASSWORD_FLAGS

    #define NM_SETTING_PPPOE_PASSWORD_FLAGS "password-flags"

## Property Details

### The `“password”` property

      “password”                 gchar *

Password used to authenticate with the PPPoE service.

Flags: Read / Write

Default value: NULL

### The `“password-flags”` property

      “password-flags”           guint

Flags indicating how to handle the PPPoE password.

Flags: Read / Write

Allowed values: <= 7

Default value: 0

### The `“service”` property

      “service”                  gchar *

If specified, instruct PPPoE to only initiate sessions with access concentrators that provide the specified serivce. For most providers, this should be left blank. It is only required if there are multiple access concentrators or a specific service is known to be required.

Flags: Read / Write

Default value: NULL

### The `“username”` property

      “username”                 gchar *

Username used to authenticate with the PPPoE service.

Flags: Read / Write

Default value: NULL